> ## Documentation Index
> Fetch the complete documentation index at: https://axiom.co/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update current user

> Update current user

<Warning>
  Using this endpoint, you can update your own user. Authorize the request with a [personal access token (PAT)](/reference/tokens).

  You can’t update other users with this endpoint, and you can’t use an API token to authorize the request.
</Warning>


## OpenAPI

````yaml v2 put /user
openapi: 3.0.0
info:
  description: A public and stable API for interacting with axiom services
  title: Axiom
  termsOfService: http://axiom.co/terms
  contact:
    name: Axiom support team
    url: https://axiom.co
    email: hello@axiom.co
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: 2.0.0
servers:
  - url: https://api.axiom.co/v2/
security:
  - bearerAuth: []
paths:
  /user:
    put:
      tags:
        - Users
      description: Update current user
      operationId: updateCurrentUser
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateCurrentUserRequest'
        required: true
      responses:
        '200':
          description: User
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/User'
      security:
        - Auth: []
components:
  schemas:
    UpdateCurrentUserRequest:
      description: Object representing a user update request
      type: object
      required:
        - name
      properties:
        name:
          description: New name for the user
          type: string
          example: John Smith
    User:
      description: Represents a user in the system
      type: object
      required:
        - id
        - name
        - email
        - role
      properties:
        email:
          description: User's email address
          type: string
          example: john.doe@example.com
        id:
          description: Unique identifier for the user
          type: string
          example: usr_123456789
        name:
          description: User's full name
          type: string
          example: John Doe
        role:
          $ref: '#/components/schemas/UserDetailsRole'
    UserDetailsRole:
      description: Detailed information about a user's role
      type: object
      required:
        - id
        - name
      properties:
        id:
          description: Unique identifier for the role
          type: string
          example: role_123456789
        name:
          description: Human-readable name of the role
          type: string
          example: Organization Admin
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Authenticate using an API token or personal access token (PAT). Include
        the token as a Bearer token: `Authorization: Bearer <token>`. For more
        information, see [Tokens](/reference/tokens).
    Auth:
      description: >-
        Authenticate using an API token or personal access token (PAT). Include
        the token as a Bearer token: `Authorization: Bearer <token>`. For more
        information, see [Tokens](/reference/tokens).
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          tokenUrl: https://www.googleapis.com/oauth2/v4/token
          scopes: {}

````

Built with [Mintlify](https://mintlify.com).